ctakes-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Bethard <steven.beth...@gmail.com>
Subject Re: YTEX depends on trove4j? LGPL issue
Date Wed, 15 Oct 2014 17:40:03 GMT
Trove is on LGPL 2.1, and Apache forbids LGPL 2, 2.1 and 3.

On Wed, Oct 15, 2014 at 10:45 AM, Savova, Guergana
<Guergana.Savova@childrens.harvard.edu> wrote:
> At one point (some long time ago), I remember LGPL was compatible with Apache. What version
of LGPL is this dependency using?
> --Guergana
>
> -----Original Message-----
> From: Chen, Pei [mailto:Pei.Chen@childrens.harvard.edu]
> Sent: Wednesday, October 15, 2014 11:43 AM
> To: dev@ctakes.apache.org
> Subject: RE: YTEX depends on trove4j? LGPL issue
>
> Steve,
> This is a good catch!  I was pretty sure 3rd party libs were checked but somehow this
may have been missed.
> I noticed it's in the convenience binary distro as well.  We need to remove this; I'll
create a Jira.
> VJ, could you confirm- I actually don't think we use trove4j in ytex? ctakes-ytex/pom.xml
>
> --Pei
>
>> -----Original Message-----
>> From: Steven Bethard [mailto:steven.bethard@gmail.com]
>> Sent: Wednesday, October 15, 2014 10:40 AM
>> To: dev@ctakes.apache.org
>> Subject: YTEX depends on trove4j? LGPL issue
>>
>> It seems that YTEX depends on trove4j which is LGPL [1], but
>> "LGPL-licensed works must not be included in Apache products" [2].
>> Have the YTEX dependencies been reviewed for licensing issues? (I only
>> stumbled upon the trove issue via a version conflict in other code.)
>>
>> Steve
>>
>> [1] http://trove4j.sourceforge.net/html/license.html
>> [2] http://www.apache.org/legal/resolved.html

Mime
View raw message